---
search:
  tags:
    - Invitations
    - POST
seo:
  description: >-
    Requires invitation:create, and being an owner to invite an… Reference for
    the POST /organizations/{organizationId}/invitations endpoint in the Auth
    API.
sidebar:
  label: Invite someone by email
  badge: POST
title: Invite someone by email
type: openapi-operation
---
Requires invitation:create, and being an owner to invite an owner. Emails the invited address a single-use link to accept the invitation in the console.

`POST /organizations/{organizationId}/invitations`

**Request body** (`application/json`, required)

- `email` (string<email>, required)
- `role` (string, required) — Name of an organization Role, such as owner, admin or member. Inviting an owner requires being an owner.

Request body example:

```json
{
  "email": "user@example.com",
  "role": "string"
}
```

**Responses**

- `201` — The invitation was created and emailed.
- `default` — The request failed.

Response example, 201:

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "email": "string",
  "role": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "expires_at": "2019-08-24T14:15:22Z"
}
```
